Only in wine-crossover-games-8.1.0/freetype: .gitignore
diff -ru freetype-2.3.9/Makefile wine-crossover-games-8.1.0/freetype/Makefile
old
|
new
|
|
31 | 31 | |
32 | 32 | include $(TOP_DIR)/builds/toplevel.mk |
33 | 33 | |
| 34 | depend: |
| 35 | |
34 | 36 | # EOF |
diff -ru freetype-2.3.9/builds/freetype.mk wine-crossover-games-8.1.0/freetype/builds/freetype.mk
old
|
new
|
|
355 | 355 | # |
356 | 356 | clean: clean_project |
357 | 357 | distclean: distclean_project remove_config_mk remove_ftmodule_h |
358 | | -$(DELETE) $(subst /,$(SEP),$(DOC_DIR)/*.html $(NO_OUTPUT)) |
| 358 | -$(DELETE) $(subst /,$(SEP), $(NO_OUTPUT)) |
359 | 359 | |
360 | 360 | |
361 | 361 | # EOF |
diff -ru freetype-2.3.9/builds/toplevel.mk wine-crossover-games-8.1.0/freetype/builds/toplevel.mk
old
|
new
|
|
121 | 121 | # Note: This test is duplicated in `builds/unix/detect.mk'. |
122 | 122 | # |
123 | 123 | is_unix := $(strip $(wildcard /sbin/init) \ |
| 124 | $(wildcard /sbin/launchd) \ |
124 | 125 | $(wildcard /usr/sbin/init) \ |
125 | 126 | $(wildcard /hurd/auth)) |
126 | 127 | ifneq ($(is_unix),) |
Only in wine-crossover-games-8.1.0/freetype/builds/unix: .gitignore
diff -ru freetype-2.3.9/builds/unix/configure wine-crossover-games-8.1.0/freetype/builds/unix/configure
old
|
new
|
|
2147 | 2147 | |
2148 | 2148 | |
2149 | 2149 | |
| 2150 | echo host is $host |
| 2151 | case $host in |
| 2152 | x86_64*linux*) |
| 2153 | if test "x$enable_win64" != "xyes" |
| 2154 | then |
| 2155 | test -n "$CC" || CC="gcc -m32" |
| 2156 | test -n "$LD" || LD="ld -m elf_i386" |
| 2157 | host_cpu="i386" |
| 2158 | fi |
| 2159 | ;; |
| 2160 | esac |
2150 | 2161 | |
2151 | 2162 | # checks for programs |
2152 | 2163 | |
… |
… |
|
6086 | 6097 | |
6087 | 6098 | # Whether to use Mac OS resource-based fonts. |
6088 | 6099 | |
| 6100 | case $host_os in |
| 6101 | darwin*|macosx*) |
| 6102 | default_with_old_mac_fonts="yes" |
| 6103 | ;; |
| 6104 | *) |
| 6105 | default_with_old_mac_fonts="no" |
| 6106 | ;; |
| 6107 | esac |
| 6108 | |
6089 | 6109 | ftmac_c="" # src/base/ftmac.c should not be included in makefiles by default |
6090 | 6110 | |
6091 | 6111 | # don't quote AS_HELP_STRING! |
… |
… |
|
6093 | 6113 | # Check whether --with-old-mac-fonts was given. |
6094 | 6114 | if test "${with_old_mac_fonts+set}" = set; then |
6095 | 6115 | withval=$with_old_mac_fonts; |
| 6116 | else |
| 6117 | with_old_mac_fonts=$default_with_old_mac_fonts |
6096 | 6118 | fi |
6097 | 6119 | |
6098 | 6120 | if test x$with_old_mac_fonts = xyes; then |
… |
… |
|
7330 | 7352 | else |
7331 | 7353 | lt_cv_nm_interface="BSD nm" |
7332 | 7354 | echo "int some_variable = 0;" > conftest.$ac_ext |
7333 | | (eval echo "\"\$as_me:7333: $ac_compile\"" >&5) |
| 7355 | (eval echo "\"\$as_me:7355: $ac_compile\"" >&5) |
7334 | 7356 | (eval "$ac_compile" 2>conftest.err) |
7335 | 7357 | cat conftest.err >&5 |
7336 | | (eval echo "\"\$as_me:7336: $NM \\\"conftest.$ac_objext\\\"\"" >&5) |
| 7358 | (eval echo "\"\$as_me:7358: $NM \\\"conftest.$ac_objext\\\"\"" >&5) |
7337 | 7359 | (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out) |
7338 | 7360 | cat conftest.err >&5 |
7339 | | (eval echo "\"\$as_me:7339: output\"" >&5) |
| 7361 | (eval echo "\"\$as_me:7361: output\"" >&5) |
7340 | 7362 | cat conftest.out >&5 |
7341 | 7363 | if $GREP 'External.*some_variable' conftest.out > /dev/null; then |
7342 | 7364 | lt_cv_nm_interface="MS dumpbin" |
… |
… |
|
8538 | 8560 | ;; |
8539 | 8561 | *-*-irix6*) |
8540 | 8562 | # Find out which ABI we are using. |
8541 | | echo '#line 8541 "configure"' > conftest.$ac_ext |
| 8563 | echo '#line 8563 "configure"' > conftest.$ac_ext |
8542 | 8564 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
8543 | 8565 | (eval $ac_compile) 2>&5 |
8544 | 8566 | ac_status=$? |
… |
… |
|
10201 | 10223 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ |
10202 | 10224 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
10203 | 10225 | -e 's:$: $lt_compiler_flag:'` |
10204 | | (eval echo "\"\$as_me:10204: $lt_compile\"" >&5) |
| 10226 | (eval echo "\"\$as_me:10226: $lt_compile\"" >&5) |
10205 | 10227 | (eval "$lt_compile" 2>conftest.err) |
10206 | 10228 | ac_status=$? |
10207 | 10229 | cat conftest.err >&5 |
10208 | | echo "$as_me:10208: \$? = $ac_status" >&5 |
| 10230 | echo "$as_me:10230: \$? = $ac_status" >&5 |
10209 | 10231 | if (exit $ac_status) && test -s "$ac_outfile"; then |
10210 | 10232 | # The compiler can only warn and ignore the option if not recognized |
10211 | 10233 | # So say no if there are warnings other than the usual output. |
… |
… |
|
10540 | 10562 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ |
10541 | 10563 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
10542 | 10564 | -e 's:$: $lt_compiler_flag:'` |
10543 | | (eval echo "\"\$as_me:10543: $lt_compile\"" >&5) |
| 10565 | (eval echo "\"\$as_me:10565: $lt_compile\"" >&5) |
10544 | 10566 | (eval "$lt_compile" 2>conftest.err) |
10545 | 10567 | ac_status=$? |
10546 | 10568 | cat conftest.err >&5 |
10547 | | echo "$as_me:10547: \$? = $ac_status" >&5 |
| 10569 | echo "$as_me:10569: \$? = $ac_status" >&5 |
10548 | 10570 | if (exit $ac_status) && test -s "$ac_outfile"; then |
10549 | 10571 | # The compiler can only warn and ignore the option if not recognized |
10550 | 10572 | # So say no if there are warnings other than the usual output. |
… |
… |
|
10645 | 10667 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ |
10646 | 10668 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
10647 | 10669 | -e 's:$: $lt_compiler_flag:'` |
10648 | | (eval echo "\"\$as_me:10648: $lt_compile\"" >&5) |
| 10670 | (eval echo "\"\$as_me:10670: $lt_compile\"" >&5) |
10649 | 10671 | (eval "$lt_compile" 2>out/conftest.err) |
10650 | 10672 | ac_status=$? |
10651 | 10673 | cat out/conftest.err >&5 |
10652 | | echo "$as_me:10652: \$? = $ac_status" >&5 |
| 10674 | echo "$as_me:10674: \$? = $ac_status" >&5 |
10653 | 10675 | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
10654 | 10676 | then |
10655 | 10677 | # The compiler can only warn and ignore the option if not recognized |
… |
… |
|
10700 | 10722 | -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ |
10701 | 10723 | -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ |
10702 | 10724 | -e 's:$: $lt_compiler_flag:'` |
10703 | | (eval echo "\"\$as_me:10703: $lt_compile\"" >&5) |
| 10725 | (eval echo "\"\$as_me:10725: $lt_compile\"" >&5) |
10704 | 10726 | (eval "$lt_compile" 2>out/conftest.err) |
10705 | 10727 | ac_status=$? |
10706 | 10728 | cat out/conftest.err >&5 |
10707 | | echo "$as_me:10707: \$? = $ac_status" >&5 |
| 10729 | echo "$as_me:10729: \$? = $ac_status" >&5 |
10708 | 10730 | if (exit $ac_status) && test -s out/conftest2.$ac_objext |
10709 | 10731 | then |
10710 | 10732 | # The compiler can only warn and ignore the option if not recognized |
… |
… |
|
13500 | 13522 | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
13501 | 13523 | lt_status=$lt_dlunknown |
13502 | 13524 | cat > conftest.$ac_ext <<_LT_EOF |
13503 | | #line 13503 "configure" |
| 13525 | #line 13525 "configure" |
13504 | 13526 | #include "confdefs.h" |
13505 | 13527 | |
13506 | 13528 | #if HAVE_DLFCN_H |
… |
… |
|
13596 | 13618 | lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 |
13597 | 13619 | lt_status=$lt_dlunknown |
13598 | 13620 | cat > conftest.$ac_ext <<_LT_EOF |
13599 | | #line 13599 "configure" |
| 13621 | #line 13621 "configure" |
13600 | 13622 | #include "confdefs.h" |
13601 | 13623 | |
13602 | 13624 | #if HAVE_DLFCN_H |
diff -ru freetype-2.3.9/builds/unix/configure.ac wine-crossover-games-8.1.0/freetype/builds/unix/configure.ac
old
|
new
|
|
27 | 27 | |
28 | 28 | AC_CANONICAL_HOST |
29 | 29 | |
| 30 | echo host is $host |
| 31 | case $host in |
| 32 | x86_64*linux*) |
| 33 | if test "x$enable_win64" != "xyes" |
| 34 | then |
| 35 | test -n "$CC" || CC="gcc -m32" |
| 36 | test -n "$LD" || LD="ld -m elf_i386" |
| 37 | host_cpu="i386" |
| 38 | fi |
| 39 | ;; |
| 40 | esac |
30 | 41 | |
31 | 42 | # checks for programs |
32 | 43 | |
… |
… |
|
261 | 272 | |
262 | 273 | # Whether to use Mac OS resource-based fonts. |
263 | 274 | |
| 275 | case $host_os in |
| 276 | darwin*|macosx*) |
| 277 | default_with_old_mac_fonts="yes" |
| 278 | ;; |
| 279 | *) |
| 280 | default_with_old_mac_fonts="no" |
| 281 | ;; |
| 282 | esac |
| 283 | |
264 | 284 | ftmac_c="" # src/base/ftmac.c should not be included in makefiles by default |
265 | 285 | |
266 | 286 | # don't quote AS_HELP_STRING! |
267 | 287 | AC_ARG_WITH([old-mac-fonts], |
268 | 288 | AS_HELP_STRING([--with-old-mac-fonts], |
269 | | [allow Mac resource-based fonts to be used])) |
| 289 | [allow Mac resource-based fonts to be used]),, |
| 290 | [with_old_mac_fonts=$default_with_old_mac_fonts]) |
270 | 291 | if test x$with_old_mac_fonts = xyes; then |
271 | 292 | orig_LDFLAGS="${LDFLAGS}" |
272 | 293 | AC_MSG_CHECKING([CoreServices & ApplicationServices of Mac OS X]) |
diff -ru freetype-2.3.9/builds/unix/detect.mk wine-crossover-games-8.1.0/freetype/builds/unix/detect.mk
old
|
new
|
|
19 | 19 | # Note: this test is duplicated in "builds/toplevel.mk". |
20 | 20 | # |
21 | 21 | is_unix := $(strip $(wildcard /sbin/init) \ |
| 22 | $(wildcard /sbin/launchd) \ |
22 | 23 | $(wildcard /usr/sbin/init) \ |
23 | 24 | $(wildcard /hurd/auth)) |
24 | 25 | ifneq ($(is_unix),) |
diff -ru freetype-2.3.9/builds/unix/install.mk wine-crossover-games-8.1.0/freetype/builds/unix/install.mk
old
|
new
|
|
20 | 20 | # maintainers). |
21 | 21 | |
22 | 22 | |
| 23 | ifndef LN_S |
| 24 | LN_S := ln -s |
| 25 | endif |
| 26 | |
23 | 27 | .PHONY: install uninstall check |
24 | 28 | |
25 | 29 | # Unix installation and deinstallation targets. |
… |
… |
|
62 | 66 | $(DESTDIR)$(libdir)/pkgconfig/freetype2.pc |
63 | 67 | |
64 | 68 | |
| 69 | # Unless told otherwise custom=std |
| 70 | custom=std |
| 71 | |
| 72 | install-image: $(PROJECT_LIBRARY) |
| 73 | eval `perl $(TOP_DIR)/../cxpp -I$(TOP_DIR)/.. -DSH_EXPORT $(product:%=-DPRODUCT=%) $(custom:%=-DCUSTOM=%) $(TOP_DIR)/../DISTVERSION || echo "exit 1"` && \ |
| 74 | if [ "$$has_freetype" != "none" ]; then \ |
| 75 | $(MKINSTALLDIRS) $(DESTDIR)$(libdir) && \ |
| 76 | $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_PROGRAM_FLAGS) $(PROJECT_LIBRARY) $(DESTDIR)$(libdir) && \ |
| 77 | if [ ! -f $(DESTDIR)$(libdir)/$(LIBRARY).so -a -f $(DESTDIR)$(libdir)/$(LIBRARY).dylib ]; then \ |
| 78 | (cd $(DESTDIR)$(libdir) ; $(LN_S) $(LIBRARY).dylib $(LIBRARY).so); \ |
| 79 | fi && \ |
| 80 | ($(DELETE) $(DESTDIR)$(libdir)/$(LIBRARY).a $(DESTDIR)$(libdir)/$(LIBRARY).la || true); \ |
| 81 | fi |
| 82 | |
65 | 83 | uninstall: |
66 | 84 | -$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(libdir)/$(LIBRARY).$A |
67 | 85 | -$(DELETE) $(DESTDIR)$(includedir)/freetype2/freetype/config/* |
… |
… |
|
87 | 105 | -$(DELETE) $(BASE_OBJECTS) $(OBJ_M) $(OBJ_S) |
88 | 106 | -$(DELETE) $(patsubst %.$O,%.$(SO),$(BASE_OBJECTS) $(OBJ_M) $(OBJ_S)) \ |
89 | 107 | $(CLEAN) |
90 | | |
91 | | distclean_project_unix: clean_project_unix |
92 | 108 | -$(DELETE) $(PROJECT_LIBRARY) |
93 | 109 | -$(DELETE) $(OBJ_DIR)/.libs/* |
94 | 110 | -$(DELDIR) $(OBJ_DIR)/.libs |
| 111 | |
| 112 | distclean_project_unix: clean_project_unix |
95 | 113 | -$(DELETE) *.orig *~ core *.core $(DISTCLEAN) |
96 | 114 | |
97 | 115 | # EOF |
diff -ru freetype-2.3.9/builds/unix/unix-cc.in wine-crossover-games-8.1.0/freetype/builds/unix/unix-cc.in
old
|
new
|
|
42 | 42 | # The name of the final library file. Note that the DOS-specific Makefile |
43 | 43 | # uses a shorter (8.3) name. |
44 | 44 | # |
45 | | LIBRARY := lib$(PROJECT) |
| 45 | #LIBRARY := lib$(PROJECT) |
| 46 | LIBRARY := libcxfreetype |
46 | 47 | |
47 | 48 | |
48 | 49 | # Path inclusion flag. Some compilers use a different flag than `-I' to |
… |
… |
|
78 | 79 | # We use our own FreeType configuration file. |
79 | 80 | # |
80 | 81 | CPPFLAGS := @CPPFLAGS@ |
81 | | CFLAGS := -c @XX_CFLAGS@ @CFLAGS@ -DFT_CONFIG_CONFIG_H="<ftconfig.h>" |
| 82 | CFLAGS := -c @XX_CFLAGS@ @CFLAGS@ -DFT_CONFIG_CONFIG_H="<ftconfig.h>" \ |
| 83 | $(EXTRA_FREETYPE_CFLAGS) |
82 | 84 | |
83 | 85 | # ANSIFLAGS: Put there the flags used to make your compiler ANSI-compliant. |
84 | 86 | # |
diff -ru freetype-2.3.9/configure wine-crossover-games-8.1.0/freetype/configure
old
|
new
|
|
21 | 21 | |
22 | 22 | if test -z "`$GNUMAKE -v 2>/dev/null | grep GNU`"; then |
23 | 23 | if test -z "`$GNUMAKE -v 2>/dev/null | grep makepp`"; then |
24 | | echo "GNU make (>= 3.80) or makepp (>= 1.19) is required to build FreeType2." >&2 |
25 | | echo "Please try" >&2 |
26 | | echo " \`GNUMAKE=<GNU make command name> $0'." >&2 |
27 | | echo "or >&2" |
28 | | echo " \`GNUMAKE=\"makepp --norc-substitution\" $0'." >&2 |
29 | | exit 1 |
| 24 | if test -n "`gmake -v 2>/dev/null | grep GNU`"; then |
| 25 | GNUMAKE=gmake |
| 26 | else |
| 27 | echo "GNU make (>= 3.80) or makepp (>= 1.19) is required to build FreeType2." >&2 |
| 28 | echo "Please try" >&2 |
| 29 | echo " \`GNUMAKE=<GNU make command name> $0'." >&2 |
| 30 | echo "or >&2" |
| 31 | echo " \`GNUMAKE=\"makepp --norc-substitution\" $0'." >&2 |
| 32 | exit 1 |
| 33 | fi |
30 | 34 | fi |
31 | 35 | fi |
32 | 36 | |
Only in wine-crossover-games-8.1.0/freetype/docs/reference: .gitignore
diff -ru freetype-2.3.9/include/freetype/config/ftoption.h wine-crossover-games-8.1.0/freetype/include/freetype/config/ftoption.h
old
|
new
|
|
480 | 480 | /* Do not #undef this macro here, since the build system might */ |
481 | 481 | /* define it for certain configurations only. */ |
482 | 482 | /* */ |
| 483 | /* Note: In the CrossOver build system, this flag is commented out. */ |
| 484 | /* to turn it on, define the value in EXTRA_FREETYPE_FLAGS. */ |
| 485 | |
483 | 486 | /* #define TT_CONFIG_OPTION_BYTECODE_INTERPRETER */ |
484 | 487 | |
485 | 488 | |
diff -ru freetype-2.3.9/modules.cfg wine-crossover-games-8.1.0/freetype/modules.cfg
old
|
new
|
|
37 | 37 | # PostScript Type 1 font driver. |
38 | 38 | # |
39 | 39 | # This driver needs the `psaux', `pshinter', and `psnames' modules. |
40 | | FONT_MODULES += type1 |
| 40 | #FONT_MODULES += type1 |
41 | 41 | |
42 | 42 | # CFF/OpenType font driver. |
43 | 43 | # |
… |
… |
|
47 | 47 | # Type 1 CID-keyed font driver. |
48 | 48 | # |
49 | 49 | # This driver needs the `psaux', `pshinter', and `psnames' modules. |
50 | | FONT_MODULES += cid |
| 50 | #FONT_MODULES += cid |
51 | 51 | |
52 | 52 | # PFR/TrueDoc font driver. See optional extension ftpfr.c below also. |
53 | 53 | FONT_MODULES += pfr |
Only in wine-crossover-games-8.1.0/freetype/objs: .gitignore
Only in wine-crossover-games-8.1.0/freetype: patentobjs
diff -ru freetype-2.3.9/src/base/ftmac.c wine-crossover-games-8.1.0/freetype/src/base/ftmac.c
old
|
new
|
|
737 | 737 | |
738 | 738 | |
739 | 739 | sfnt = GetResource( TTAG_sfnt, sfnt_id ); |
740 | | if ( sfnt == NULL ) |
| 740 | if ( ResError() || sfnt == NULL ) |
741 | 741 | return FT_Err_Invalid_Handle; |
742 | 742 | |
743 | 743 | sfnt_size = (FT_ULong)GetHandleSize( sfnt ); |